--文件完整性
function CheckFile(tabFile)
	local Obj = XLGetObject("XLDoctor.Thunder7Helper.Obj")
	local suc = Obj:CheckFileList()
	if suc then
		return 0
	end
	
	return 1
end

function RepairFile(tabFile)
	--没实现
	if tabFile == nil then
		return nil
	end
	local Obj = XLGetObject("Xunlei.OSShell.Obj")
	local dir = tabFile['rule@']['dir']
	if dir == "{nil}" then return 2 end 
	local TotalPath = Obj:PathAppendLua(dir, tabFile['rule@']['name'])
	if Obj:Download(TotalPath, tabFile['rule@']['url'])  == true then
		return 0
	else
		return 1
	end
end